Every live skill
Each skill with what it takes, what it hands on, its price and its options. Open — no key needed.
GET
/
api
/
v1
/
skills
Every live skill
curl --request GET \
--url https://mediamonster.app/api/v1/skills \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://mediamonster.app/api/v1/skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://mediamonster.app/api/v1/skills"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"skills": [
{
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"input": "<string>",
"accepts": [
"image"
],
"input_optional": true,
"output": "<string>",
"output_by": {},
"keeps_medium": true,
"keeps_length": true,
"credits": 123,
"credits_per": "<string>",
"rate": {},
"credits_by": {},
"paid_only": true,
"accepts_prompt": true,
"needs_prompt": true,
"max_prompt_characters": 123,
"needs_reference": true,
"supports_variations": true,
"options": [
{
"id": "<string>",
"label": "<string>",
"default": "<string>",
"choices": [
"<string>"
],
"range": {
"min": 123,
"max": 123
},
"multi": true,
"text": true,
"max_characters": 123,
"pattern": "<string>",
"rule": "<string>"
}
],
"extra_options": [
{
"id": "<string>",
"rule": "<string>"
}
],
"caveat": "<string>"
}
]
}Authorizations
Headers
⌘I
Every live skill
curl --request GET \
--url https://mediamonster.app/api/v1/skills \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://mediamonster.app/api/v1/skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://mediamonster.app/api/v1/skills"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"skills": [
{
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"input": "<string>",
"accepts": [
"image"
],
"input_optional": true,
"output": "<string>",
"output_by": {},
"keeps_medium": true,
"keeps_length": true,
"credits": 123,
"credits_per": "<string>",
"rate": {},
"credits_by": {},
"paid_only": true,
"accepts_prompt": true,
"needs_prompt": true,
"max_prompt_characters": 123,
"needs_reference": true,
"supports_variations": true,
"options": [
{
"id": "<string>",
"label": "<string>",
"default": "<string>",
"choices": [
"<string>"
],
"range": {
"min": 123,
"max": 123
},
"multi": true,
"text": true,
"max_characters": 123,
"pattern": "<string>",
"rule": "<string>"
}
],
"extra_options": [
{
"id": "<string>",
"rule": "<string>"
}
],
"caveat": "<string>"
}
]
}
